[DestinationDirs]
NV3_CopyFilesSys=11
ICT_CopyFiles="display"

[SourceDisksNames]
1="Drivers for Windows NT 4.0",,1

[SourceDisksFiles]
dmadvan.dll=1,,46000
dmcontct.dll=1,,51000
dmdll.dll=1,,100000
dmmulti.dll=1,,50000
dmhookm.dll=1,,14000
dminfo.dll=1,,48000
dminfom.dll=1,,45000
dmpopup.dll=1,,46000
dmshell.dll=1,,32000
dmtray.exe=1,,69000
dmstart.exe=1,,13824

[Optional Components]
InControl Tools

[InControl Tools]
OptionDesc=%InControl.Desc%
ProgramGroups=Driver_ICT_ProgramGroups
Tip=%InControl.Details%
CopyFiles=NV3_CopyFilesSys, ICT_CopyFiles
Uninstall=NV3_CopyFilesSys, ICT_CopyFiles
AddReg=Diamond.AddReg
UninstallReg=Diamond.UninstallReg
Dependency=1
Type=0

[Driver_ICT_ProgramGroups]
;<program group>,<description>,<install path>,<command line>,<startup path (working directory)>,<icon file>,<icon id>
DIAMOND,%InControlDesktopManager%,display\dmtray.exe, ,display,display\dmtray.exe,0
Startup,%InControlDesktopManager%,display\dmtray.exe, ,display,display\dmtray.exe,0
Startup,DMSTART,display\dmstart.exe, ,display,display\dmstart.exe,0


[Diamond.AddReg]
; Display properties dialog box title - language dependent
HKCU,Software\Diamond\Tab Name\,DisplayProperties,,%DisplayPropertiesTabName%;

; Advanced Info, dmadvan.dll
HKCR,CLSID\{ECFA54C1-E0DC-11D0-AC51-00A0244C6087},,,InControl Tools - Advanced Information Property Sheet
HKCR,CLSID\{ECFA54C1-E0DC-11D0-AC51-00A0244C6087}\InProcServer32,,4,%11%\dmadvan.dll
HKCR,CLSID\{ECFA54C1-E0DC-11D0-AC51-00A0244C6087}\InProcServer32,ThreadingModel,,Apartment

HKLM,SOFTWARE\Diamond\Controls Folder,Advanced Info,,{ECFA54C1-E0DC-11D0-AC51-00A0244C6087}
HKLM,SOFTWARE\Diamond\Controls Folder\Advanced Properties\Advance Info Extension,,,{ECFA54C1-E0DC-11D0-AC51-00A0244C6087}

; Contact, dmcontct.dll
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6087},,,InControl Tools - Contact Property Sheet
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6087}\InProcServer32,,4,%11%\dmcontct.dll
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6087}\InProcServer32,ThreadingModel,,Apartment

HKLM,SOFTWARE\Diamond\Controls Folder,Customer Support,,{B40A1500-D36D-11d0-AC51-00A0244C6087}
HKLM,SOFTWARE\Diamond\Controls Folder\Advanced Properties\Contact Extension,,,{B40A1500-D36D-11d0-AC51-00A0244C6087}

; MultiMonitor, dmmulti.dll
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C8},,,InControl Tools - MultiMonitor Property Sheet
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C8}\InProcServer32,,4,%11%\dmmulti.dll
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C8}\InProcServer32,ThreadingModel,,Apartment

HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\MultiMonitor Extension,,,{05507E00-0C72-11CF-94B8-0020AFA104C8}

HKCU,%Str_DriverSettings%,%Str_AllMonitors%,,%Str_AllMonitors_0%;
HKCU,%Str_DriverSettings%,%Str_Configuration%,,%Str_Configuration_1x1%;
HKCU,%Str_DriverSettings%,%Str_DeskMgr%,,%Str_DeskMgr_0%;

; Information, dminfo.dll
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C6},,,InControl Tools - Information Property Sheet
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C6}\InProcServer32,,4,%11%\dminfo.dll
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C6}\InProcServer32,ThreadingModel,,Apartment

HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\Information Extension,,,{05507E00-0C72-11CF-94B8-0020AFA104C6}

; MultiMonitor Information, dminfom.dll
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6088},,,InControl Tools - MultiMonitor Information Property Sheet
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6088}\InProcServer32,,4,%11%\dminfom.dll
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6088}\InProcServer32,ThreadingModel,,Apartment

HKLM,SOFTWARE\Diamond\Controls Folder\Advanced Properties\DMInfom Extension,,,{B40A1500-D36D-11d0-AC51-00A0244C6088}

; Popup, dmpopup.dll
HKCR,CLSID\{30FC9D80-86FE-11CE-82F1-00608CC91D55},,,InControl Tools - Popup Property Sheet
HKCR,CLSID\{30FC9D80-86FE-11CE-82F1-00608CC91D55}\InProcServer32,,4,%11%\dmpopup.dll
HKCR,CLSID\{30FC9D80-86FE-11CE-82F1-00608CC91D55}\InProcServer32,ThreadingModel,,Apartment

HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\Popup Extension,,,{30FC9D80-86FE-11CE-82F1-00608CC91D55}
HKLM,SOFTWARE\Diamond\Installed\InControl Tools,Installed,,1
HKLM,SOFTWARE\Diamond\Installed\InControl Tools,Path,,%11%
HKLM,SOFTWARE\Diamond\Installed\InControl Tools,Version,,4.0

;Initial popup menu settings
HKCU,Software\Diamond\Popup\,%Str_SwitchDesktop%,1,0;
HKCU,Software\Diamond\Popup\,%Str_MultiMonitor%,1,1;
HKCU,Software\Diamond\Popup\,%Str_ScreenSaver%,1,2;


[Diamond.UninstallReg]
HKCR,CLSID\{ECFA54C1-E0DC-11D0-AC51-00A0244C6087}
HKLM,SOFTWARE\Diamond\Controls Folder
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6087}
HKLM,SOFTWARE\Diamond\Controls Folder
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C8}
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\MultiMonitor Extension
HKCU,%Str_DriverSettings%
HKCR,CLSID\{05507E00-0C72-11CF-94B8-0020AFA104C6}
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\Information Extension
HKCR,CLSID\{B40A1500-D36D-11d0-AC51-00A0244C6088}
HKLM,SOFTWARE\Diamond\Controls Folder\Advanced Properties\DMInfo2 Extension
HKCR,CLSID\{30FC9D80-86FE-11CE-82F1-00608CC91D55}
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers\Popup Extension,,,{30FC9D80-86FE-11CE-82F1-00608CC91D55}
HKLM,SOFTWARE\Diamond\Installed\InControl Tools
HKCU,Software\Diamond\Popup\

[NV3_CopyFilesSys]
dmadvan.dll
dmcontct.dll
dmdll.dll
dmmulti.dll 
dmhookm.dll
dminfo.dll
dminfom.dll
dmpopup.dll 
dmshell.dll
dmtray.exe

[ICT_CopyFiles]
dmtray.exe
dmstart.exe

;----------------------------------------
; User visible strings

[Strings]
InControl.Desc="InControl Tools"
InControl.Details="Diamond's InControl Tools utilities for Windows NT"
InControlDesktopManager="InControl Tools Desktop Manager"
DisplayPropertiesTabName="Display Properties"

Str_EVENT_MESSAGE_FILE="%SystemRoot%\System32\IoLogMsg.dll@%SystemRoot%\System32\drivers\dimd_nv3.sys"
Str_DriverSettings = "Software\Diamond\Driver Settings"
Str_AllMonitors = "AllMonitors"
Str_AllMonitors_0 = "0"
Str_DeskMgr = "DeskMgr"
Str_DeskMgr_0 = "0"
Str_Configuration = "Configuration"
Str_Configuration_1x1 = "1 x 1"

Str_MultiMonitor = "MultiMonitor"
Str_ScreenSaver = "Screen Saver"
Str_SwitchDesktop = "Switch Desktop"


[Strings.ger]
InControl.Details="Erweiterte Konfigurations-M�glichkeiten f�r Ihre Windows-Oberfl�che"
DisplayPropertiesTabName="Eigenschaften Bildschirm"

[Strings.fra]
InControl.Details="Outils de configuration �tendue de votre Bureau Windows"

[Strings.spa]
InControl.Details="Herramientas de configuraci�n ampliada para el escritorio de Windows" 

[Strings.ita]
InControl.Details="Strumenti per la configurazione estesa per il desktop di Windows"

[Strings.jpn]
InControl.Details="Windows �޽�į�� ��̨��ڰ��� °�" 

[Strings.rus]
InControl.Details="Extended Configuration Tools ��� �������� ����� Windows" 

[Strings.hun]
InControl.Details="Kiterjesztett konfigur�ci�s eszk�z�k a Windows Asztalhoz."

[Strings.cze]
InControl.Details="N�stroje roz���en� konfigurace pro pracovn� plochu Windows." 

[Strings.slk]
InControl.Details="Roz��ren� Nastavovacie n�stroje pre pracovn� plochu Windows"

[Strings.slo]
InControl.Details="Izbolj�ana konfiguracijska orodja za va�e Windows namizje" 

[Strings.pol]
InControl.Details="Zestaw rozszerzonych narz�dzi konfiguracji dla pulpitu Windows" 

